using PkmnLib.Plugin.Gen7.Scripts.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "sky_attack")]
public class SkyAttackEffect : Script, IScriptForceTurnSelection
{
    private readonly IPokemon _owner;

    public SkyAttackEffect(IPokemon owner)
    {
        _owner = owner;
    }

    /// <inheritdoc />
    public void ForceTurnSelection(IBattle battle, byte sideIndex, byte position, ref ITurnChoice? choice)
    {
        choice = TurnChoiceHelper.CreateMoveChoice(_owner, "sky_attack", sideIndex, position);
    }
}